{* Filter which will be included in the searchResults.tpl *}
{namespace name="frontend/listing/listing_actions"}
{if !$sCategoryContent.hideFilter}
    <div class="action--filter-options is--active-filter is--left is--collapsed">
        <a href="#" class="filter--close-btn">
            {s name="ListingActionsCloseFilter"}{/s}
            <i class="icon--arrow-right"></i>
        </a>

        <div class="filter--container">

            <form id="findologic-filter" method="get" action="" data-filter-form="true" style="display: block;">

                {* Filter Manufacturer *}
                {block name="frontend_findologic_filters_vendor"}
                    {include file='plugins/fin_search_api/FinSearchAPIFilterCheckbox.tpl' flname='vendor' flfilter=$findologic.filter.vendor}
                {/block}

                {* Filter Kategories *}
                {if !$findologic.disable_cat_filter}
                    {block name="frontend_findologic_filters_category"}
                        {include file='plugins/fin_search_api/FinSearchAPIFilterCheckbox.tpl' flname='cat' flfilter=$findologic.filter.cat}{*include file='fin_search_api/FinSearchAPIFilterCategory.tpl'*}
                    {/block}
                {else}
                    {block name="frontend_findologic_filters_hidden"}

                    {/block}
                {/if}

                {* Filter Price range *}
                {block name="frontend_findologic_filters_price"}
                    {if $findologic.filter.price.type == 'range-slider'}
                        {include file='plugins/fin_search_api/FinSearchAPIFilterSlider.tpl' flname='price' flslider=$findologic.filter.price}
                    {else}
                        {include file='plugins/fin_search_api/FinSearchAPIFilterRange.tpl' flname='price' flfilter=$findologic.filter.price}
                    {/if}

                    {if $findologic.disable_cat_filter}
                        </br></br>
                    {/if}

                {/block}
                {literal}
                    <script>
                        jQuery( document ).ready(function() {
                            if (!jQuery('div.findologic--cat').length && !jQuery('div.findologic--price').length && !jQuery('div.findologic--vendor').length) {
                                jQuery('div.filter--more').css({"display":"block"});
                                jQuery('a.filter--trigger--more').css({"display":"none"});
                            }
                        });

                    </script>
                {/literal}

                {* Filter more *}
                {block name="frontend_findologic_filters_more"}
                    {include file='plugins/fin_search_api/FinSearchAPIFilterMore.tpl'}
                {/block}
            </form>
        </div>
    </div>
{/if}