{* FilterCheckbox which will be included in the FinSearchAPIFilter.tpl and SpwFindologicFilterMore.tpl *}
{namespace name="frontend/plugins/fin_search_api/search"}

    {foreach from=$flfilter.filter name=filteritems item=filteritem key=key}
        {if $flname == 'cat' && ($filteritem.weight == 0 && !$filteritem.showFilterItem)}
            {assign var="hideFilterItem" value=true}
            {continue}
        {/if}
    {/foreach}

{if $flfilter.display != ''}

    {if !$hideFilterItem}
        <div class="filter-panel filter--property findologic--{$flname} {if $flfilter.select == 'multiselect'}multi{/if}" data-filter-type="value-list" data-field-name="{$flname}">
            <div class="filter-panel--flyout">
                <label class="filter-panel--title">
                    {$flfilter.display}
                </label>
                <span class="filter-panel--icon"></span>
                <div class="filter-panel--content">
                    <ul class="filter-panel--option-list">

                        {foreach from=$flfilter.filter name=filteritems item=filteritem key=key}
                            {if $flname == 'cat' && ($filteritem.weight == 0 && !$filteritem.showFilterItem)}
                                {continue}
                            {/if}
                            {if $flname|lower == 'color' || $flname|lower == 'farbe'}
                                {assign var="hasFilter" value="true"}

                                <li class="filter-panel--option fl-li-color">
                                    <div class="option--container">
                                <span class="filter-panel--checkbox">
                                    <input type="checkbox" id="__{$flname}__{$key}" name="__{$flname}__{$key}" value="{if $filteritem.catFilter}{$filteritem.catFilter|escape:'html'}{else}{$filteritem.name|escape:'html'}{/if}" {if $filteritem.selected}checked="checked"{/if}>
                                    <span class="checkbox--state">&nbsp;</span>
                                </span>
                                        <label class="filter-panel--label" for="__{$flname}__{$key}">
                                            {*<span class="fl-color-filter">{$filteritem.name} {if $filteritem.frequency neq ''} ({$filteritem.frequency}){/if}</span>*}

                                            {if $filteritem.image}
                                                <img src="{$filteritem.image}" class="filter-color-style" alt="{$filteritem.name}" title="{$filteritem.name}">
                                            {elseif $filteritem.color}
                                                <span style="background-color: {$filteritem.color}; display: inline-block;" class="filter-color-style" title="{$filteritem.name}"></span>
                                            {else}
                                                <span style="display: inline-block;" class="filter-color-style" title="{$filteritem.name}">
                                            <svg xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:cc="http://creativecommons.org/ns#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:svg="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/2000/svg" xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape" width="100%" height="100%" id="svg2" version="1.1" version="0.48.3.1 r9886" docname="unknown_color.svg" export-filename="/home/christian/fl/customer-login/web/autocomplete/img/unknown_color.png" export-xdpi="360" export-ydpi="360" preserveAspectRatio="none" viewBox="0 0 100 100" class="injected-svg fl-svg" data-src="//cdn.findologic.com/login.symfony/web//autocomplete/img/unknown_color.svg" data-fallback="//cdn.findologic.com/login.symfony/web//autocomplete/img/unknown_color.png">
                                                <defs id="defs4"></defs>
                                                <sodipodi:namedview id="base" pagecolor="#ffffff" bordercolor="#666666" borderopacity="1.0" pageopacity="0.0" pageshadow="2" zoom="3.959798" cx="18.11488" cy="35.533029" document-units="px" current-layer="layer1" showgrid="false" window-width="1918" window-height="1078" window-x="1366" window-y="0" window-maximized="0"></sodipodi:namedview>
                                                <metadata id="metadata7">
                                                    <rdf:RDF>
                                                        <cc:Work about="">
                                                            <dc:format>image/svg+xml</dc:format>
                                                            <dc:type resource="http://purl.org/dc/dcmitype/StillImage"></dc:type>
                                                        </cc:Work>
                                                    </rdf:RDF>
                                                </metadata>
                                                <g label="Layer 1" groupmode="layer" id="layer1" transform="translate(0,-952.36218)">
                                                    <flowRoot xml:space="preserve" id="flowRoot2993" style="fill:black;stroke:none;stroke-opacity:1;stroke-width:1px;stroke-linejoin:miter;stroke-linecap:butt;fill-opacity:1;font-family:Sans;font-style:normal;font-weight:normal;font-size:40px;line-height:125%;letter-spacing:0px;word-spacing:0px"><flowRegion id="flowRegion2995"><rect id="rect2997" width="103.28809" height="123.49115" x="-34.092648" y="1.0050513"></rect></flowRegion><flowPara id="flowPara2999"></flowPara></flowRoot>    <flowRoot xml:space="preserve" id="flowRoot2988" style="fill:black;stroke:none;stroke-opacity:1;stroke-width:1px;stroke-linejoin:miter;stroke-linecap:butt;fill-opacity:1;font-family:Sans;font-style:normal;font-weight:normal;font-size:40px;line-height:125%;letter-spacing:0px;word-spacing:0px"><flowRegion id="flowRegion2990"><rect id="rect2992" width="101.26779" height="47.477169" x="9.5964489" y="28.026632"></rect></flowRegion><flowPara id="flowPara2994"></flowPara></flowRoot>    <g transform="translate(0,952.36218)" style="font-size:40px;font-style:normal;font-weight:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Sans" id="text2996">
                                                        <path d="m 77.769232,32.265733 c -6e-5,2.648076 -0.354372,4.979075 -1.062937,6.993007 -0.671386,2.014034 -1.585138,3.822891 -2.741258,5.426575 -1.156232,1.566477 -2.48024,2.983724 -3.972029,4.251749 -1.454596,1.230808 -2.946436,2.405632 -4.475525,3.524473 -1.529183,1.118918 -3.039673,2.21915 -4.531468,3.3007 -1.454587,1.081619 -2.778594,2.256444 -3.972028,3.524476 -1.156215,1.268096 -2.107264,2.685344 -2.853148,4.251749 -0.70866,1.529163 -1.081619,3.31937 -1.118881,5.370629 l -9.790211,0 c 0.07456,-2.573402 0.466177,-4.829811 1.174828,-6.76923 0.745893,-1.939364 1.696941,-3.654981 2.853144,-5.146853 1.156149,-1.491809 2.461507,-2.815817 3.916086,-3.972029 1.454509,-1.193434 2.927703,-2.312315 4.419581,-3.356643 1.4918,-1.081545 2.946344,-2.14448 4.363635,-3.188811 1.454504,-1.081542 2.741215,-2.275013 3.860139,-3.58042 1.118835,-1.305315 2.01394,-2.778505 2.685315,-4.419581 0.708576,-1.640972 1.062889,-3.561715 1.062938,-5.762238 -4.9e-5,-2.200406 -0.391658,-4.158446 -1.174825,-5.874126 -0.783264,-1.715553 -1.902145,-3.151448 -3.356643,-4.307691 -1.417294,-1.193406 -3.151557,-2.088511 -5.202797,-2.685315 -2.014026,-0.596667 -4.270432,-0.895036 -6.769233,-0.895105 -5.221472,6.9e-5 -9.361328,1.30543 -12.419579,3.916083 -3.058294,2.610787 -4.848501,6.191204 -5.37063,10.741259 L 23,32.937062 c 0.41025,-3.132807 1.230762,-6.079192 2.461539,-8.83916 1.268055,-2.797135 3.020969,-5.240024 5.258739,-7.328672 2.275045,-2.088502 5.072246,-3.729528 8.39161,-4.923077 3.356618,-1.23069 7.309994,-1.846073 11.86014,-1.846153 4.251712,8e-5 8.037255,0.522223 11.356645,1.566434 3.319298,1.044365 6.116499,2.536206 8.391607,4.475524 2.312301,1.902168 4.065211,4.23317 5.258743,6.993007 1.193414,2.75997 1.790149,5.836891 1.790209,9.230768 M 42.804195,90 l 0,-11.244755 10.909092,0 0,11.244755 -10.909092,0" style="font-variant:normal;font-stretch:normal;font-family:Liberation Sans;-inkscape-font-specification:Liberation Sans" id="path3001" connector-curvature="0" class="fl-question-mark"></path>
                                                    </g>
                                                </g>

                                            </svg>
                                        </span>

                                            {/if}
                                        </label>
                                    </div>
                                </li>
                            {elseif $flname == 'vendorimage'}
                                {assign var="hasFilter" value="true"}
                                <li class="filter-panel--option fl-li-vendor">
                                    <div class="option--container">
                                <span class="filter-panel--checkbox">
                                    <input type="checkbox" id="__{$flname}__{$key}" name="__{$flname}__{$key}" value="{if $filteritem.catFilter}{$filteritem.catFilter|escape:'html'}{else}{$filteritem.name|escape:'html'}{/if}" {if $filteritem.selected}checked="checked"{/if}>
                                    <span class="checkbox--state">&nbsp;</span>
                                </span>
                                        <label class="filter-panel--label" for="__{$flname}__{$key}">
                                            {*{$filteritem.name}{if $filteritem.frequency neq ''} ({$filteritem.frequency}){/if}*}
                                            <img src="{$filteritem.name}" alt="{$filteritem.name}" class="filter-vendor-style">
                                        </label>
                                    </div>
                                </li>
                            {else}
                                {assign var="hasFilter" value="true"}
                                <li class="filter-panel--option">
                                    <div class="option--container">
                                <span class="filter-panel--checkbox">
                                    <input type="checkbox" id="__{$flname}__{$key}" name="__{$flname}__{$key}" value="{if $filteritem.catFilter}{$filteritem.catFilter|escape:'html'}{else}{$filteritem.name|escape:'html'}{/if}" {if $filteritem.selected}checked="checked"{/if}>
                                    <span class="checkbox--state">&nbsp;</span>
                                </span>
                                        <label class="filter-panel--label" alt="{$filteritem.name}" for="__{$flname}__{$key}">
                                            {$filteritem.name}{if $filteritem.frequency neq ''} ({$filteritem.frequency}){/if}
                                        </label>
                                    </div>
                                </li>
                            {/if}


                        {/foreach}
                    </ul>
                    {if !$hasFilter}
                        <span class="has--no-filter">{s name="FinSearchAPINofilteravailable"}Keine Filter vorhanden{/s}</span>
                    {/if}
                </div>
            </div>
        </div>
    {/if}

{/if}