{* FilterCheckbox which will be included in the FinSearchAPIFilter.tpl and SpwFindologicFilterMore.tpl *}
{namespace name="frontend/plugins/fin_search_api/search"}
{if $flfilter.filter}
    {foreach from=$flfilter.filter name=filteritems item=filteritem key=key}
        {if $filteritem.weight == 0 && !$filteritem.showFilterItem}
            {assign var="hideFilterItem" value=true}
            {continue}
        {/if}
    {/foreach}
    {if !$hideFilterItem}
        <div class="filter-panel filter--property findologic--{$flname} range" data-filter-type="value-list" data-field-name="{$flname}">
            <div class="filter-panel--flyout">
                <label class="filter-panel--title">
                    {$flfilter.display}
                </label>
                <span class="filter-panel--icon"></span>
                <div class="filter-panel--content">
                    <ul class="filter-panel--option-list">

                        {foreach from=$flfilter.filter name=filteritems item=filteritem key=key}
                            <li class="filter-panel--option">
                                <div class="option--container">
                                <span class="filter-panel--checkbox">
                                    <input type="checkbox" id="__{$flname}__{$key}" name="__{$flname}__{$key}" value="{$filteritem.min}|{$filteritem.max}" {if $filteritem.selected}checked="checked"{/if}>
                                    <span class="checkbox--state">&nbsp;</span>
                                </span>
                                    <label class="filter-panel--label" alt="{$filteritem.name}" for="__{$flname}__{$key}">
                                        {$filteritem.name}{if $filteritem.frequency neq ''} ({$filteritem.frequency}){/if}
                                    </label>
                                </div>
                            </li>
                            {foreachelse}
                            <span class="has--no-filter">{s name="FinSearchAPINofilteravailable"}Keine Filter vorhanden{/s}</span>
                        {/foreach}

                    </ul>
                </div>
            </div>
        </div>
    {/if}
{/if}