{* FilterSlider which will be included in the FinSearchAPIFilter.tpl and SpwFindologicFilterMore.tpl *}
{namespace name="frontend/plugins/fin_search_api/search"}
{if $flslider.stepcount neq 0}
<div class="filter-panel filter--range findologic--{$flname}" data-filter-type="range" data-field-name="{$flname}">
    <div class="filter-panel--flyout">
        <label class="filter-panel--title">
            {$flslider.display}
        </label>
        <span class="filter-panel--icon"></span>
        <div class="filter-panel--content">
            {if $flslider.selectedmin < $flslider.selectedmax}
                <div class="range-slider"
                    data-range-slider="true"
                    data-labelformat="0,00&nbsp;{$flslider.unit}"
                    data-stepcount="{$flslider.stepcount}"
                    data-startmin="{$flslider.selectedmin}"
                    data-startmax="{$flslider.selectedmax}"
                    data-rangemin="{$flslider.totalmin}"
                    data-rangemax="{$flslider.totalmax}">

                    <input type="hidden" id="min" name="min" data-range-input="min" value="{$flslider.selectedmin}" disabled="disabled">
                    <input type="hidden" id="max" name="max" data-range-input="max" data-range-unit="{$flslider.unit}" value="{$flslider.selectedmax}" disabled="disabled">
                    <div class="filter-panel--range-info">
                        <span class="range-info--min">
                            von
                        </span>
                        <label class="range-info--label" for="min" data-range-label="min">{$flslider.selectedmin}</label>
                        <span class="range-info--max">
                            bis
                        </span>
                        <label class="range-info--label" for="max" data-range-label="max">{$flslider.selectedmax}</label>
                    </div>
                </div>
            {else}
                <span class="has--no-filter">{s name="FinSearchAPINofilteravailable"}Keine Filter vorhanden{/s}</span>
            {/if}
        </div>

    </div>
</div>
{/if}