<?php

namespace FinSearchAPI\Components\XmlModel;

use FinSearchAPI\Components\XmlParser\AbstractElement;

class ProductsCollection extends AbstractElement
{

    /**
     * @var Product[]
     */
    public $products = array();

    protected function generateChildren()
    {
        return array(
            'product' => function ($child) {
                $this->products[] = new Product($child);
            }
        );
    }
}