{* Listinging which will be included in the searchResults.tpl *}
{namespace name="frontend/listing/listing"}

{block name="frontend_listing_listing_container"}
    <div class="listing--container">

        {block name="frontend_listing_listing_content"}
            <div class="listing" 
                data-ajax-wishlist="true"
                data-compare-ajax="true"
                {if $theme.infiniteScrolling}
                data-infinite-scrolling="false"
                data-loadPreviousSnippet="{s name="ListingActionsLoadPrevious"}{/s}"
                data-loadMoreSnippet="{s name="ListingActionsLoadMore"}{/s}"
                data-categoryId="{$sCategoryContent.id}"
                data-pages="{$findologic.paging.pages}"
                data-threshold="{$theme.infiniteThreshold}"{/if}>

                {* Actual listing *}
                {block name="frontend_listing_list_inline"}
                    {foreach from=$findologic.products item=sArticle key=key name=list}
                        {include file='frontend/listing/box_article.tpl' sTemplate='listing'}
                    {/foreach}
                {/block}
            </div>
        {/block}
    </div>
{/block}