{* FilterMore which will be included in the FinSearchAPIFilter.tpl *}
{namespace name="frontend/plugins/fin_search_api/search"}
{if !$sCategoryContent.hideFilter}
    {foreach from=$findologic.filter name=allfilter item=filters key=allkey }
        {if $allkey != 'price' && $allkey != 'cat' && $allkey != 'vendor' && $filters.filter}
            {assign var=moreFilter value=true}
            {break}
        {/if}

    {/foreach}

    {if $moreFilter}
        <br/><br/>
        <div class="filter-panel--more">
            <a href="#" class="filter--trigger--more is--small" data-collapse-panel="true" data-contentSiblingSelector=".collapse--content" >
                <label>
                    <i class="icon--arrow-down"></i>
                    &nbsp;{s name="FinSearchAPIMorefilter"}Weitere Filter{/s}&nbsp;
                    <i class="icon--arrow-down"></i>
                </label>
                <span class="fl-action--collapse-icon"></span>
            </a>

            <div class="filter--more collapse--content">
                {foreach from=$findologic.filter name=allfilter item=filters key=allkey }
                    {if $allkey != 'price' && $allkey != 'cat' && $allkey != 'vendor'}
                        {if $filters.filter}
                            {if $filters.type == 'range-slider'}
                                {block name="frontend_findologic_filters_more_slider"}
                                    {include file='plugins/fin_search_api/FinSearchAPIFilterSlider.tpl' flname=$allkey flslider=$filters}
                                {/block}
                            {elseif $filters.type == 'dropdown'}
                                {*
                                hier muss noch die behandlung für dropdown rein
                                *}
                            {else}
                                {block name="frontend_findologic_more_checkbox"}
                                    {include file='plugins/fin_search_api/FinSearchAPIFilterCheckbox.tpl' flname=$allkey flfilter=$filters}
                                {/block}
                            {/if}
                        {/if}
                    {/if}
                {/foreach}
            </div>
        </div>
    {/if}

{/if}