{namespace name="frontend/plugins/fin_search_api/fin_category"}

{* Include the FinSearchAPI styling *}
{block name="frontend_index_header_css_screen" append}
    <link type="text/css" media="all" rel="stylesheet" href="{link file='_Resources/findologic.css'}" />
{/block}

{* Include the FinSearchAPI javascript *}
{block name='frontend_index_header_javascript_jquery_lib' append}
    <script type="text/javascript">{include file='_Resources/findologic.js'} </script>
{/block}

{* Navigation left *}
{block name='frontend_index_left_categories_inner'}
    {if !$sCategoryContent.hideFilter}
        {* Filterbutton *}
        {block name="frontend_findologic_order"}
            {include file='plugins/fin_search_api/FinSearchAPIFilterButton.tpl'}
        {/block}

        {* Filterpanel *}
        <div class="left-action">
            {include file='plugins/fin_search_api/FinSearchAPIFilter.tpl'}
        </div>
    {/if}
{/block}

{block name="frontend_listing_top_actions"}
    {block name="frontend_findologic_top"}
        <div class="content findologic search--content"
             data-findologicShopURL="{$findologic.shopurl}"
             data-findologicParams="{$findologic.url_params}"
             data-findologicOrder="{$findologic.order_dropdown.selected}"
             data-findologicCount="{$findologic.pagesize_dropdown.selected}">
    {/block}
{/block}

