{* selectedFilters which will be included in the searchResults.tpl" *}
{namespace name="frontend/plugins/fin_search_api/search"}


<div class="findologic search--cat-filter">
{if $findologic.selected_filter}
    {block name="frontend_findologic_filters_headline"}
        <h2 class="findologic filter--headline">
            {s name="FinSearchAPISelectedfilter"}Ausgewählte Filter{/s}
        </h2>
    {/block}

    {if $findologic.selected_filter}

        {block name="frontend_findologic_filters_standard"}
            <div class="findologic filter--content">
                {foreach name=selected_filter from=$findologic.selected_filter item=value}
                    <div class="findologic filter--sub-content">

                        {if $value.group == 'cat'}                
                            {se name="FinSearchAPICatfilter"}Kategorie{/se}:
                        {elseif $value.group == 'vendor'}
                            {se name="FinSearchAPIVendorfilter"}Hersteller{/se}:
                        {elseif $value.group == 'price'}                                                    
                            {se name="FinSearchAPIPricefilter"}Preis{/se}:
                        {/if}

                        {if $value.group == 'cat' || $value.group == 'vendor' || $value.group == 'price'}
                            <a href="{$findologic.shopurl}{$value.params}&order={$findologic.order_dropdown.selected}&count={$findologic.pagesize_dropdown.selected}" rel="nofollow">
                                <span class="filter--active" data-filter-group="{$value.group}" data-filter-value="{$value.name}">
                                    <span class="filter--active-icon"></span>
                                    {$value.name}
                                </span>
                            </a>
                            {assign var=mainFilter value=true}
                        {else}
                            {assign var=additionalFilter value=true}
                        {/if}
                    </div>
                {/foreach}
            </div>
        {/block}

        {block name="frontend_findologic_filters_additional"}
            {if $additionalFilter }
                <div class="findologic sub-filter--content {if $mainFilter}has-border{/if}">
                    {foreach name=selected_filter from=$findologic.selected_filter item=value}
                        <div class="findologic filter--sub-content">

                            {if $value.group != 'cat' && $value.group != 'vendor' && $value.group != 'price'}      
                                {$value.group}:  
                                <a href="{$findologic.shopurl}{$value.params}&order={$findologic.order_dropdown.selected}&count={$findologic.pagesize_dropdown.selected}" rel="nofollow">
                                    <span class="filter--active" data-filter-group="{$value.group}" data-filter-value="{$value.name}">
                                        <span class="filter--active-icon"></span>
                                        {$value.name}
                                    </span>
                                </a>    
                            {/if}
              
                        </div>
                    {/foreach}
                </div>
            {/if}
        {/block}

        <div class="delete--filter-btn">
            <a class="filter--delete btn is--small is--active" href="{$findologic.shopurl}" rel="nofollow"><i="">
                {s name="FinSearchAPIRemoveallfilter"}Alle Filter entfernen{/s}
                <span class="fl-action--collapse-icon"></span>
            </a>
        </div>        
        
    {else}
        <span class="has--no-filter">{s name="FinSearchAPINofilteravailable"}Keine Filter vorhanden{/s}</span>
    {/if}
{/if}
</div>
